OnigToken Struct Reference

## Data Fields

enum TokenSyms | type
int | escaped
int | base
UChar * | backp
union {
UChar * s
int c
OnigCodePoint code
int anchor
int subtype
struct {
int lower
int upper
int greedy
int possessive
} repeat
struct {
int num
int ref1
int * refs
int by_name
int exist_level
int level
} backref
struct {
UChar * name
UChar * name_end
int gnum
} call
struct {
int ctype
int not
} prop
} | u

## Detailed Description

Definition at line 2314 of file regparse.c.

## Field Documentation

int OnigToken::anchor

Definition at line 2323 of file regparse.c.

Referenced by fetch_token(), and parse_exp().

UChar* OnigToken::backp

Definition at line 2318 of file regparse.c.

Referenced by fetch_token(), fetch_token_in_cc(), parse_char_class(), and parse_exp().

struct { ... } OnigToken::backref

Referenced by fetch_token(), and parse_exp().

int OnigToken::base

Definition at line 2317 of file regparse.c.

Referenced by fetch_token(), fetch_token_in_cc(), and parse_char_class().

int OnigToken::by_name

Definition at line 2335 of file regparse.c.

int OnigToken::c

Definition at line 2321 of file regparse.c.

Referenced by fetch_token(), fetch_token_in_cc(), parse_char_class(), and parse_exp().

struct { ... } OnigToken::call

Referenced by fetch_token(), and parse_exp().

OnigCodePoint OnigToken::code

Definition at line 2322 of file regparse.c.

Referenced by fetch_token(), fetch_token_in_cc(), parse_char_class(), and parse_exp().

int OnigToken::ctype

Definition at line 2347 of file regparse.c.

int OnigToken::escaped

Definition at line 2316 of file regparse.c.

Referenced by fetch_token(), fetch_token_in_cc(), parse_char_class(), and parse_exp().

int OnigToken::exist_level

Definition at line 2337 of file regparse.c.

int OnigToken::gnum

Definition at line 2344 of file regparse.c.

int OnigToken::greedy

Definition at line 2328 of file regparse.c.

int OnigToken::level

Definition at line 2338 of file regparse.c.

int OnigToken::lower

Definition at line 2326 of file regparse.c.

UChar* OnigToken::name

Definition at line 2342 of file regparse.c.

UChar* OnigToken::name_end

Definition at line 2343 of file regparse.c.

int OnigToken::not

Definition at line 2348 of file regparse.c.

int OnigToken::num

Definition at line 2332 of file regparse.c.

int OnigToken::possessive

Definition at line 2329 of file regparse.c.

struct { ... } OnigToken::prop

Referenced by fetch_token(), fetch_token_in_cc(), parse_char_class(), parse_char_property(), and parse_exp().

int OnigToken::ref1

Definition at line 2333 of file regparse.c.

int* OnigToken::refs

Definition at line 2334 of file regparse.c.

struct { ... } OnigToken::repeat

Referenced by fetch_range_quantifier(), fetch_token(), and parse_exp().

UChar* OnigToken::s

Definition at line 2320 of file regparse.c.

int OnigToken::subtype

Definition at line 2324 of file regparse.c.

Referenced by fetch_token().

enum TokenSyms OnigToken::type

Definition at line 2315 of file regparse.c.

Referenced by fetch_range_quantifier(), fetch_token(), fetch_token_in_cc(), parse_char_class(), parse_exp(), and parse_subexp().

union { ... } OnigToken::u

Referenced by fetch_range_quantifier(), fetch_token(), fetch_token_in_cc(), parse_char_class(), parse_char_property(), and parse_exp().

int OnigToken::upper

Definition at line 2327 of file regparse.c.

The documentation for this struct was generated from the following file:

- regparse.c